Commit 6bf8e59d authored by Christoph Berg's avatar Christoph Berg

Rename debversion.cc to debversion.cpp so PGXS finds it automatically

This fixes compilation with PostgreSQL 11 which does an extra run with
clang to produce .bc files for JIT support.
parent 5e0fc684
MODULES = debversion
MODULE_big = debversion
EXTENSION = debversion
OBJS = debversion.o
DATA = \
debversion--unpackaged--1.0.5.sql \
debversion--1.0.5--1.0.6.sql \
......@@ -13,8 +14,5 @@ PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
debversion.so: debversion.o
$(CXX) $(LDFLAGS) -shared -o $@ $^ -lapt-pkg
debversion.o: debversion.cc
$(COMPILE.cc) $(CFLAGS_SL) $(OUTPUT_OPTION) $<
CXXFLAGS += -fPIC # needed for 9.x-10
LDFLAGS += -lapt-pkg
NEWS -*- outline -*-
NEWS
----
Welcome to postgresql-debversion 1.0.8. Please read these release
notes carefully.
Full installation instructions are provided in the INSTALL file. The
README file also contains more specific notes regarding building and
configuration.
* Major changes in 1.1.1:
* Support PostgreSQL 11.
* Major changes in 1.1:
* Switch to plain pgxs buildsystem.
* Add selectivity estimators to comparison operators.
* Major changes in 1.0.8:
1) Support for older PostgreSQL versions prior to 9.1 has been
......
postgresql-debversion (1.1-2) UNRELEASED; urgency=medium
postgresql-debversion (1.1.1-1) UNRELEASED; urgency=medium
* Support PostgreSQL 11.
* Move packaging repository to salsa.debian.org
-- Christoph Berg <myon@debian.org> Mon, 25 Dec 2017 18:03:38 +0100
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment